/***************************************************************************
                          aboutwindow.h  -  description
                             -------------------
    begin                : Wed Feb 16 2000
    copyright            : (C) 2000 by Marc Bartsch
    email                : marc.bartsch@topmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ABOUTWINDOW_H
#define ABOUTWINDOW_H

#include <qdialog.h>
#include <qpushbutton.h>
#include <qwidget.h>
#include <kapp.h>
#include <qpixmap.h>
#include <qlabel.h>
#include <klocale.h>
#include <resource.h>

/**
  *@author Marc Bartsch
  */

class AboutWindow : public QDialog  {
public: 
	AboutWindow(QWidget *parent=0, const char *name=0, bool modal=FALSE, WFlags f=0);
	~AboutWindow();

private:
	QWidget 		*pic;
	QPushButton *ok;
	QLabel			*label;
	QString   	*picsDir;
	QPixmap			*pix;
};

#endif


