/***************************************************************************
                          aboutwindow.cpp  -  description
                             -------------------
    begin                : Wed Feb 16 2000
    copyright            : (C) 2000 by Marc Bartsch
    email                : marc.bartsch@topmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "aboutwindow.h"

AboutWindow::AboutWindow( QWidget *parent, const char *name, bool modal, WFlags f):QDialog (parent, name, modal,  f)
{
	// Create Widgets
	setFixedSize( 550, 250 );
  setCaption( i18n( Str_AppName ) );
  pix = new QPixmap();
	QWidget *pic = new QWidget(this);
	pic->setGeometry(10,10,pix->width(),pix->height());
  pic->setBackgroundPixmap(*pix);

	label =  new QLabel( this );
	label->setGeometry(150,15,400,380);
  label->setAlignment( AlignTop | AlignLeft );
	label->setText(i18n(Str_AppName
											"\n\n(c) 2000 Marc Bartsch\n"
											"<marc.bartsch@web.de>\n\n"
											"This application is explicitly recommended for use in schools\n"
											"and educational institutions.\n\n"
 											"This program is free software; you can redistribute it and/or\n"
											"modify it under the terms of the GNU General Public License\n"
											"as published by the Free Software Foundation; either version 2\n"
 											"of the License, or (at your option) any later version.\n"));

	QPushButton *ok = new QPushButton("&OK", this);
	ok->move( 230, 200 );
	ok->setDefault( true );

	connect(ok, SIGNAL(clicked()), SLOT(accept()));
}

AboutWindow::~AboutWindow()
{
}
